import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
 * An example application that uses double buffering.
 * 
 * @author Simon Parsons
 *
 * This is based on the example from Niemeyer and Knudsen
 * "Learning Java", pages 718 and 719.
 * 
 * This class just sets up the drawing tool, doing the usual 
 * layout things and delegating the hard work to the class
 * DrawPad.
 */
public class DoodlePad{
	public static void main(String[] args){
		JFrame frame = new JFrame("DoodlePad");
		Container content = frame.getContentPane();
		content.setLayout(new BorderLayout());
		final DrawPad drawpad = new DrawPad();
		content.add(drawpad, BorderLayout.CENTER);
		JPanel panel = new JPanel();
		JButton clearButton = new JButton("Clear");
		// Here we use an anonymous class provide the action 
		// listener. It just makes a call to the drawpad object.
		clearButton.addActionListener(new ActionListener(){
			public void actionPerformed(ActionEvent e){
				drawpad.clear();
			}
		});
		panel.add(clearButton);
		content.add(panel, BorderLayout.SOUTH);
		frame.setSize(289, 300);
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.setVisible(true);
	}
}